<template>
  <div>
    <div style="padding: 10px">
      <div style="display: inline-flex;font-weight: bold">
        菜单名：
      </div>
      <div style="display: inline-flex;background: #f3eeee;padding: 10px 20px;border-radius: 10px;color: #737476">
        {{ list.menuName }}
      </div>
    </div>
    <el-table :data="list.place" v-loading="loading" :show-summary="true">
      <el-table-column label="就餐地" align="center" prop="placeName"/>
      <el-table-column label="订单总数" align="center" prop="count"/>
      <el-table-column label="事业编群" align="center" prop="sybq"/>
      <el-table-column label="非事业编群" align="center" prop="fsybq"/>
      <el-table-column label="第三方劳务外包" align="center" prop="dsflwwb"/>
    </el-table>
  </div>
</template>

<script>
import {jdcTj} from "@/api/canteen/order";

export default {
  name: "jcdStat",
  props: {
    menuNumber: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      list: [],
      loading: false
    }
  },
  create() {
    this.jdcTj()
  },
  methods: {
    getJcdTj() {
      this.loading = true
      let params = {
        menuCode: this.menuNumber
      }
      jdcTj(params).then(result => {
        this.list = result.data
        this.loading = false
      })
    }
  }
}
</script>

<style scoped>

</style>
